[node-patches] Change in ovirt-node[master]: login: Add get-hosted-engine-setup-answers

fabiand at redhat.com fabiand at redhat.com
Thu Jul 30 13:20:11 UTC 2015


Fabian Deutsch has uploaded a new change for review.

Change subject: login: Add get-hosted-engine-setup-answers
......................................................................

login: Add get-hosted-engine-setup-answers

A convenience method to retrieve the answers from the hosted-engine-setup
run using the admin account.
Normally the admin can only be used to enter the TUI.

This patch also removes a previous keyword related to the feature-expose
feature, which was dropped some time ago.

Change-Id: I47dd657f6944777256ca47e2eca95badaf5cfe7d
Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1245143
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
M scripts/ovirt-admin-shell
1 file changed, 4 insertions(+), 3 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/86/44186/1

diff --git a/scripts/ovirt-admin-shell b/scripts/ovirt-admin-shell
index caa29b6..1fe087c 100755
--- a/scripts/ovirt-admin-shell
+++ b/scripts/ovirt-admin-shell
@@ -9,11 +9,12 @@
     sudo rm -rf /tmp/ovirt-setup.$TTY
 fi
 
-if [[ "x$2" == "xfeatures" ]]
+if [[ "x$2" == "xget-hosted-angine-setup-answers" ]]
 then
+    # This should actually be in the he plugin - but this can not be realized right now
     # To let sudo work correctly (it needs a tty) the user needs to use ssh -t
-    sudo true || { echo "ERROR: Use 'ssh -t <hostname> features' to login" ; exit 1 ; }
-    sudo /usr/bin/ovirt-node-features dumpxml
+    cat /etc/ovirt-hosted-engine/ovirt-hosted-engine-setup-answers ; RC=$?
+    exit $RC
 else
     sudo /usr/bin/ovirt-node-setup
     reset


-- 
To view, visit https://gerrit.ovirt.org/44186
To unsubscribe, visit https://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I47dd657f6944777256ca47e2eca95badaf5cfe7d
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Fabian Deutsch <fabiand at redhat.com>



More information about the node-patches mailing list